## nfsroot 0.4

=== src/Makefile ===
#CXXFLAGS=-g -Wall
CXXFLAGS=-O2 -Wall

nrprobenet:nrprobenet.o
	rm -f nrprobenet
	gcc -o nrprobenet nrprobenet.o -lstdc++

rnprobenet.o:nrprobenet.cc

clean:
	rm -f  nrprobenet.o nrprobenet
