=== debian/changelog ===
nfsroot (0.4) unstable; urgency=low

  * added another sanity check in mknfsroot
  * recompiled for libg++-2.7.2.1 (you need at least this version to run it)
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue, 12 Nov 1996 23:46:06 +0100

nfsroot (0.3) unstable; urgency=low

  * added extra test for /etc/nfsroot/$hostip/etc in mknfsroot
  * striped executable
  * clients now don't mount the server's /tmp on their /tmp by
    default 
  * Corrected "Continue without Swap" bug in
    /etc/nfsroot/default/etc/boot* scripts.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 31 Oct 1996 22:25:12 +0100

nfsroot (0.2) unstable; urgency=low

  * removed /tftpboot "configfile" dir, as dpkg doesn't like it.
    (refuses to install nfsroot if you don't have /tftpboot already
    on your system)
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 30 Sep 1996 22:31:14 +0200

nfsroot (0.1) unstable; urgency=low

  * I promised a samba-print.tar.gz exmaple file, but forgot to include
    one
  * get permissions in /etc right
  * small fix to mknfsroot script.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 29 Sep 1996 23:36:52 +0200

nfsroot (0.0) unstable; urgency=low

  * initial version.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 25 Sep 1996 21:59:58 +0200

Local variables:
mode: debian-changelog
End:

  
