=== debian/control ===
Source: nfsroot
Section: net
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 0.0

Package: nfsroot
Architecture: any
Depends: netstd, ${shlibs:Depends}
Description: Set up server to allow nfsroot clients to boot.
 30min after you installed this package on your server, you can:
 .
 Insert a nfsrootbootfloppy (create one with "mknfsrootboot")
 in any computer on your local network that has it's networkcard
 configured (running whatever OS), press "RESET", and hey presto, 
 it's running LINUX! 
 (and is configured to do just as much as your server, by default).
 .
 This package allows you to have most /etc files on the clients the
 same as the server, and some different. You'll need 30k disk space
 per potential client, and it's got a daemon that probes the network
 for hw adresses, and puts them in /etc/bootpd, and makes /tftpboot
 entries (excluding hosts in /etc/nfsroot/ignorehosts).
