=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=nfsroot

build:
	$(checkdir)
	$(MAKE) -C src
	strip src/nrprobenet
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -C src clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/{bin,sbin,lib/nfsroot}
	install -d debian/tmp/dev
	install -d debian/tmp/var/lib/nfsroot
	#
	cp doc/* debian/tmp/usr/doc/$(package)
	cp src/nrprobenet debian/tmp/usr/sbin
	cp scripts/{mknfsroot,nrclientboot} debian/tmp/usr/sbin
	#
	cp scripts/{nr2etc,nrmkboot} debian/tmp/usr/bin
	#
	(source etc/nfsroot/def;\
	 if test -f $$NFSROOTKERNEL; then \
	   cp $$NFSROOTKERNEL debian/tmp/usr/lib/nfsroot; \
	 else \
	   echo "no nfsroot kernel found, not including it in package"; \
	 fi)
	#
	cp -a etc debian/tmp
	#
	mknod debian/tmp/dev/boot255 c 0 255
	#
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/doc/$(package)/*
	chown root:root -R debian/tmp
	chmod a+x  `find debian/tmp/ -type d`
	(cd debian/tmp; find etc -type f)|sed -e "s/^/\//" > debian/conffiles
	#
	cp debian/{conffiles,postinst,postrm,preinst,prerm} debian/tmp/DEBIAN/.
	chmod a+x debian/tmp/DEBIAN/{postinst,postrm,preinst,prerm}
	#
	dpkg-shlibdeps src/nrprobenet
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..
	
define checkdir
	test -f src/nrprobenet.cc -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
