## nfsroot 0.5

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-#CXXFLAGS=-g -Wall
-CXXFLAGS=-O2 -Wall
+CXXFLAGS=-g -O2 -Wall
+#CXXFLAGS=-O2 -Wall
 
 nrprobenet:nrprobenet.o
 	rm -f nrprobenet
