=== debian/changelog ===
nfsroot (0.5) unstable; urgency=low

  * Improved  checking for double HW addresses/IP numbers, and
    added option to write such changes to syslog.
  * The example kernel provided didn't work
  * created manual pages for mknfsroot and nrpobenet.
  * mknfsroot now copies symlinks in /etc directly to
    /tftpboot/$ip/etc/..., instead of links into /remote-etc/...
  * fixed typo in boot script.
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 3 May 1997 14:55:28 +0200
