=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Architecture: any
 Depends: netstd, ${shlibs:Depends}
 Description: Set up server to allow nfsroot clients to boot.
- 30min after you installed this package on your server, you can:
+ 60min after you installed this package on your server, you can:
  .
  Insert a nfsrootbootfloppy (create one with "mknfsrootboot")
  in any computer on your local network that has it's networkcard
