=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#   -*- mode: makefile; -*-
 # Sample debian.rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
@@ -14,10 +15,11 @@
 # are obsolete.
 
 package=nfsroot
+CXXFLAGS="-g -Wall -O2"
 
 build:
 	$(checkdir)
-	$(MAKE) -C src
+	$(MAKE) -C src CXXFLAGS=$(CXXFLAGS)
 	strip src/nrprobenet
 	touch build
 
@@ -26,6 +28,7 @@
 	-rm -f build
 	-$(MAKE) -C src clean
 	-rm -rf *~ debian/tmp debian/*~ debian/files*
+	-rm -f core 2
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -38,30 +41,33 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp debian/tmp/DEBIAN
 	install -d debian/tmp/usr/doc/$(package)
-	install -d debian/tmp/usr/{bin,sbin,lib/nfsroot}
+	install -d debian/tmp/usr/{bin,sbin,lib/nfsroot,man/man8}
 	install -d debian/tmp/dev
 	install -d debian/tmp/var/lib/nfsroot
 	#
 	cp doc/* debian/tmp/usr/doc/$(package)
-	cp src/nrprobenet debian/tmp/usr/sbin
+	install -m 0755 -o root -g root src/nrprobenet debian/tmp/usr/sbin
 	cp scripts/{mknfsroot,nrclientboot} debian/tmp/usr/sbin
 	#
 	cp scripts/{nr2etc,nrmkboot} debian/tmp/usr/bin
 	#
-	(source etc/nfsroot/def;\
-	 if test -f $$NFSROOTKERNEL; then \
+	cp -a etc debian/tmp
+	#
+	(source debian/tmp/etc/nfsroot/def;\
+	 if test -f $$NFSROOTKERNEL -a -c /dev/boot255; then \
+           rdev $$NFSROOTKERNEL /dev/boot255; \
 	   cp $$NFSROOTKERNEL debian/tmp/usr/lib/nfsroot; \
 	 else \
 	   echo "no nfsroot kernel found, not including it in package"; \
 	 fi)
 	#
-	cp -a etc debian/tmp
-	#
 	mknod debian/tmp/dev/boot255 c 0 255
 	#
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
-	gzip -9v debian/tmp/usr/doc/$(package)/*
+	cp doc/* debian/tmp/usr/man/man8
+	ln -s changelog debian/tmp/usr/doc/$(package)/changelog.Debian
+	-gzip -9v debian/tmp/usr/{doc/$(package),man/man8}/*
 	chown root:root -R debian/tmp
 	chmod a+x  `find debian/tmp/ -type d`
 	(cd debian/tmp; find etc -type f)|sed -e "s/^/\//" > debian/conffiles
@@ -74,7 +80,7 @@
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
-	
+
 define checkdir
 	test -f src/nrprobenet.cc -a -f debian/rules
 endef
